Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3816 - /etc/localtime should not be a symlink anymore
Summary: /etc/localtime should not be a symlink anymore
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-30 05:06 UTC by Cristian Gafton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-09 02:08:25 UTC


Attachments (Terms of Use)

Description Cristian Gafton 1999-06-30 05:06:07 UTC
In previous releases, /etc/localtime was a symlink into
/usr/share/zoneinfo.

I've made changes to initscripts & timeconfig that make
/etc/localtime be a copy of the relevant file under
/usr/share, with the location being stored in
/etc/sysconfig/clock
(for lack of anyplace better).

Rationale:
- it allows us to set the clock as soon as the initscripts
start
- it allows machines with nfs-mounted /usr to set the clock
correctly
(this has been broken for quite a while, AFAICT)

Comment 1 Jay Turner 1999-06-30 11:17:59 UTC
This recommendation has been forwarded to a developer for further
action.

Comment 2 Cristian Gafton 1999-07-09 02:08:59 UTC
Fixed in glibc-2.1.2-1


Note You need to log in before you can comment on or make changes to this bug.